
Untitled
By: a guest on
Apr 17th, 2012 | syntax:
None | size: 1.14 KB | hits: 12 | expires: Never
Index: x-test/internal/update_xx.sh
===================================================================
--- x-test/internal/update_xx.sh (revision 1113684)
+++ x-test/internal/update_xx.sh (working copy)
@@ -9,7 +9,7 @@
fi
xx=x-test
for i in $list; do
- test -z "VERBOSE" || echo "# templates/$i"
+ test -z "$VERBOSE" || echo "# templates/$i"
tmpdest=$xx/`echo $i | sed -e "s/\.pot/.tmp/"`
destdir=`dirname $tmpdest`
test -d $destdir || svn mkdir $destdir
@@ -26,7 +26,12 @@
fi
### TODO: is this msgmerge still useful with transxx.py ?
- if ! msgmerge --no-fuzzy-matching -o $tmpdest $tmpdest templates/$i; then
+ output=`msgmerge --no-fuzzy-matching -o $tmpdest $tmpdest templates/$i &> /tmp/updatextest`
+ result=$?
+ if [ -n "$VERBOSE" ]; then
+ cat /tmp/updatextestresult
+ fi
+ if [ $result != 0 ] ; then
echo "Merging failed for $dest"
# keep the wrong data around, to be able to debug transxx.py
mv $tmpdest $dest.broken
@@ -42,5 +47,6 @@
else
mv $tmpdest $dest
fi
+ rm -f /tmp/updatextestresult
done